Mail::SpamAssassin::Plugin::AccessDB(3p)

NAME
Mail::SpamAssassin::Plugin::AccessDB - check message against Access Database

SYNOPSIS
  loadplugin     Mail::SpamAssassin::Plugin::AccessDB

  header   ACCESSDB  eval:check_access_database('/etc/mail/access.db')
  describe ACCESSDB  Message would have been caught by accessdb
  tflags   ACCESSDB  userconf
  score    ACCESSDB  2

DESCRIPTION
Many MTAs support access databases, such as Sendmail, Postfix, etc. This plugin does similar checks to see whether a message would have been flagged.

The rule returns false if an entry isn't found, or the entry has a RHS of OK or SKIP.

The rule returns true if an entry exists and has a RHS of REJECT, ERROR, or DISCARD.

Note: only the first word (split on non-word characters) of the RHS is checked, so "error:5.7.1:..." means "ERROR".

AccessDB Pointers:

  http://www.faqs.org/docs/securing/chap22sec178.html
  http://www.postfix.org/access.5.html